Bug 873936 - RFE: CopyTrans should have option to replace existing Approved translations
RFE: CopyTrans should have option to replace existing Approved translations
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-06 21:48 EST by Sean Flanigan
Modified: 2015-07-28 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:33:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-11-06 21:48:05 EST
Some projects have multiple versions undergoing translation at the same time.  In such cases it could be useful to be able to copy modified (better) translations from one version to the other, even where the other version has an Approved translation.  

The copy could be an unconditional "overwrite", or for "merge" it could use the same rule as "zanata push mergeType=auto" (ie only replace the translation if the replacement does not appear in the TextFlowTarget history).  Another option might be "latest" which would compare modification times.
Comment 1 Ding-Yi Chen 2014-03-17 00:46:57 EDT
Is modification of the clients in the scope of this bug?
Comment 2 Sean Flanigan 2014-03-17 01:13:31 EDT
If the client had a separate copytrans command (which it really should have), I would say yes, we should add the new options to it.
Comment 4 Damian Jansen 2015-07-13 20:20:35 EDT
Reassigned to PM
Comment 5 Zanata Migrator 2015-07-28 23:33:17 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-319

Note You need to log in before you can comment on or make changes to this bug.